Summary: Skinned radio tuner
Name:    gqradio
Version: 1.9.2
Release: 14%{?dist}
License: GPL+
URL:     http://gqmpeg.sourceforge.net
Group:   Applications/Multimedia
Source0: http://download.sourceforge.net/gqmpeg/gqradio-%{version}.tar.gz
Patch0:  gqradio-1.9.2-radiodev.patch
Patch1:  gqradio-1.9.2-ld.patch
Patch2:  gqradio-1.9.2-v4l2.patch
Patch3:  gqradio-1.9.2-ftbfs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils, gettext
BuildRequires: gtk2-devel >= 2.4

%description
Radio tuner with themes. 
Interfaces with video4linux compatible radio tuner cards.

%prep
%setup -q
%patch0 -p1 -b .radiodev
%patch1 -p1 -b .v4l2
%patch2 -p1 -b .ld
%patch3 -p1 -b .ftbfs

for i in ./SKIN-SPECS ; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        mv "${i}_" "$i"
done

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

desktop-file-install \
           --delete-original \
           --vendor "" \
           --remove-key="Info" \
           --remove-key="Info[fr]" \
           --dir %{buildroot}%{_datadir}/applications \
           %{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog COPYING README TODO SKIN-SPECS
%{_bindir}/gqradio
%{_datadir}/gqradio
%{_datadir}/applications/gqradio.desktop
%{_datadir}/pixmaps/gqradio.png
%{_docdir}/%{name}-%{version}/*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 05 2014 Paulo Roma <roma@lcg.ufrj.br> - 1.9.2-12
- Added docdir files.
- Applied ftfbs patch.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 25 2012 Paulo Roma <roma@lcg.ufrj.br> - 1.9.2-10
- Applied gqradio-1.9.2-radiodev.patch

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.9.2-8
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


* Thu Feb 25 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-6
- Changed license to GPL+
- Removed INSTALL from %%doc.

* Thu Feb 25 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-5
- Fixed FTBFS with the new ld (rhbz#564863)

* Sun Feb 14 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-4
- Changed %%name for %%{name}

* Sat Dec 05 2009 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-3
- Using find_lang.
- Patched for v4l2.

* Mon Feb 05 2007 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-2
- Rebuilt for Fedora 6.

* Fri Mar 03 2006 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-1
- Initial spec file.
- Built for Fedora 4.

